<template>
<!-- cards de soporte enlatados -->
  <div>
    <el-card :body-style="{ padding: '0px'}" style="margin-bottom:3rem">
      <el-row>
        <el-col :span="8" class="bg-gray" style="height:100%; min-height:20rem">
          <div style="margin:4rem 2rem">
            <div class="title-styles" style="margin-bottom: 2rem" v-text="principalTitle"></div>
            <div class= "bg-white font-general" style="padding:6px"><strong v-text="firstText"></strong>
              <span style="margin-left: 2rem"><strong v-text="valuetext"></strong></span>
            </div>
          </div>
        </el-col>
        <el-col :span="16" class="bg-white">
          <el-col :span="24" :offset="18" >
            <el-button :type="nameType" style="margin:1rem 0 0" v-text="nameButton" @click="$emit('buttonState')"></el-button>
          </el-col>
          <div style="padding:1rem 0 0 2rem">
            <h3 style="margin:1rem 0 1.5rem" v-text="secondMainText"></h3>
            <div style="margin-bottom:0.8rem"><span v-text="secondtext"></span><span v-text="secondvaluetext" style="margin:0 14px"></span></div>
            <div class="fonts-bold-general" style="margin-bottom:2rem"><span v-text="thirdtext"></span><span style="margin:0 7px" v-text="thirdvaluetext"></span>
              <span style="margin-left:6rem" v-text="fourthtext"></span><span style="margin:0 7px" v-text="fourthvaluetext"></span>
            </div>
             <!-- es vista de recepcion -->
            <div class="scroll-div" v-if="isReception">
              <el-row style="margin-bottom: 1rem"  v-for="(item, indx) in anArray" :key="indx">
                <el-col :span="2">
                  <p style="padding: 3px 0" class="bg-gray text-center" :class="color">{{indx + 1}}</p>
                </el-col>
                <el-col :span="21" :offset="1">
                  <el-col :span="23">
                    <!-- <p style="padding: 3px 0.8rem;" class="bg-gray" v-text="item[valueTitle]"></p> -->
                    <p style="padding: 3px 0.8rem;" class="bg-gray" v-text="item.listTitle"></p>
                  </el-col>
                </el-col>
              </el-row>
            </div>
            <!-- es vista de almacen -->
            <div class="scroll-div" v-else>
              <el-row style="margin-bottom: 1rem"  v-for="(item, indx) in anArray" v-if="item[filtStatus] === 3 || item[filtStatus] === 2" :key="indx">
                <el-col :span="2">
                  <p style="padding: 3px 0" class="bg-gray text-center" :class="color">{{indx + 1}}</p>
                </el-col>
                <el-col :span="21" :offset="1">
                  <el-col :span="23">
                    <!-- <p style="padding: 3px 0.8rem;" class="bg-gray" v-text="item[valueTitle]"></p> -->
                    <p style="padding: 3px 0.8rem;" class="bg-gray" v-text="listTitleValue[indx].listTitle"></p>
                  </el-col>
                </el-col>
              </el-row>   
            </div>
          </div>
        </el-col>
      </el-row>
    </el-card>
  </div>
</template>

<script>
  export default {
    name: 'app-cards-canned',
    props: {
      anArray: Array,
      color:String,
      filtStatus:String,
      firstText: String,
      fourthtext:String,
      fourthvaluetext:Number,
      nameButton:String,
      nameType:String,
      principalTitle: String,
      secondMainText: String,
      secondtext: String,
      secondvaluetext: Number,
      thirdtext:String,
      thirdvaluetext: [String, Number],
      valuetext: [String, Number],
      valueTitle: String,
      listTitleValue: {
        type: Array,
        required: false
      },
      isReception: {
        type: Boolean,
        default: false,
      },
    },
  }
</script>
